import { MARK_AS_STATUS } from '@proton/shared/lib/mail/constants';

import { Element } from '../../../models/element';
import { getElementsToBypassFilter } from './elementBypassFilters';

describe('getElementsToBypassFilter', () => {
    const elements = [{ ID: 'message1' } as Element, { ID: 'message2' } as Element] as Element[];

    it.each`
        unreadFilter | markAsAction             | elementsToBypass | elementsToRemove
        ${0}         | ${MARK_AS_STATUS.READ}   | ${[]}            | ${elements}
        ${1}         | ${MARK_AS_STATUS.UNREAD} | ${[]}            | ${elements}
        ${0}         | ${MARK_AS_STATUS.UNREAD} | ${elements}      | ${[]}
        ${1}         | ${MARK_AS_STATUS.READ}   | ${elements}      | ${[]}
        ${undefined} | ${MARK_AS_STATUS.READ}   | ${[]}            | ${[]}
        ${undefined} | ${MARK_AS_STATUS.UNREAD} | ${[]}            | ${[]}
    `(
        'it should return the expected elementsToBypass when unreadFilter is [$unreadFilter] and marking elements as [$markAsAction]',
        ({ unreadFilter, markAsAction, elementsToBypass, elementsToRemove }) => {
            const expected = { elementsToBypass, elementsToRemove };

            expect(getElementsToBypassFilter(elements, markAsAction, unreadFilter)).toEqual(expected);
        }
    );
});
