import { ADDON_NAMES, PLANS } from '@proton/shared/lib/constants';
import { PlansMap } from '@proton/shared/lib/interfaces';

export const PLANS_MAP: PlansMap = {
    [PLANS.MAIL_PRO]: {
        ID: 'BKiAUbkGnUPiy2c3b0sBCK557OBnWD7ACqqX3VPoZqOOyeMdupoWcjrPDBHy3ANfFKHnJs6qdQrdvHj7zjon_g==',
        ParentMetaPlanID: '',
        Type: 1,
        Name: PLANS.MAIL_PRO,
        Title: 'Mail Essentials',
        MaxDomains: 3,
        MaxAddresses: 10,
        MaxCalendars: 25,
        MaxSpace: 16106127360,
        MaxMembers: 1,
        MaxVPN: 0,
        MaxTier: 0,
        Services: 1,
        Features: 1,
        State: 1,
        Pricing: {
            '1': 799,
            '12': 8388,
            '24': 15576,
        },
        DefaultPricing: {
            '1': 799,
            '12': 8388,
            '24': 15576,
        },
        PeriodEnd: {
            '1': 1702849536,
            '12': 1731879936,
            '24': 1763415936,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 799,
    },
    [ADDON_NAMES.MEMBER_MAIL_PRO]: {
        ID: 'FK4MKKIVJqOC9Pg_sAxCjNWf8PM9yGzrXO3eXq8sk5RJB6HtaRBNUEcnvJBrQVPAtrDSoTNq4Du3FpqIxyMhHQ==',
        ParentMetaPlanID: '',
        Type: 0,
        Name: ADDON_NAMES.MEMBER_MAIL_PRO,
        Title: '+1 User',
        MaxDomains: 0,
        MaxAddresses: 10,
        MaxCalendars: 25,
        MaxSpace: 16106127360,
        MaxMembers: 1,
        MaxVPN: 0,
        MaxTier: 0,
        Services: 1,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 799,
            '12': 8388,
            '24': 15576,
        },
        DefaultPricing: {
            '1': 799,
            '12': 8388,
            '24': 15576,
        },
        PeriodEnd: {
            '1': 1702849536,
            '12': 1731879936,
            '24': 1763415936,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 799,
    },
    [PLANS.BUNDLE_PRO]: {
        ID: 'q6fRrEIn0nyJBE_-YSIiVf80M2VZhOuUHW5In4heCyOdV_nGibV38tK76fPKm7lTHQLcDiZtEblk0t55wbuw4w==',
        ParentMetaPlanID: '',
        Type: 1,
        Name: PLANS.BUNDLE_PRO,
        Title: 'Business',
        MaxDomains: 10,
        MaxAddresses: 15,
        MaxCalendars: 25,
        MaxSpace: 536870912000,
        MaxMembers: 1,
        MaxVPN: 10,
        MaxTier: 2,
        Services: 15,
        Features: 1,
        State: 1,
        Pricing: {
            '1': 1299,
            '12': 13188,
            '24': 23976,
        },
        DefaultPricing: {
            '1': 1299,
            '12': 13188,
            '24': 23976,
        },
        PeriodEnd: {
            '1': 1702849536,
            '12': 1731879936,
            '24': 1763415936,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 1299,
    },
    [ADDON_NAMES.DOMAIN_BUNDLE_PRO]: {
        ID: '39hry1jlHiPzhXRXrWjfS6t3fqA14QbYfrbF30l2PYYWOhVpyJ33nhujM4z4SHtfuQqTx6e7oSQokrqhLMD8LQ==',
        ParentMetaPlanID: '',
        Type: 0,
        Name: ADDON_NAMES.DOMAIN_BUNDLE_PRO,
        Title: '+1 Domain for Business',
        MaxDomains: 1,
        MaxAddresses: 0,
        MaxCalendars: 0,
        MaxSpace: 0,
        MaxMembers: 0,
        MaxVPN: 0,
        MaxTier: 0,
        Services: 15,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 150,
            '12': 1680,
            '24': 3120,
        },
        DefaultPricing: {
            '1': 150,
            '12': 1680,
            '24': 3120,
        },
        PeriodEnd: {
            '1': 1702849536,
            '12': 1731879936,
            '24': 1763415936,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 150,
    },
    [ADDON_NAMES.MEMBER_BUNDLE_PRO]: {
        ID: '0WjWEbOmKh7F2a1Snx2FJKA7a3Fm05p-nIZ0TqiHjDDUa6oHnsyWeeVXgSuzumCmFE8_asJsom9ZzGbx-eDecw==',
        ParentMetaPlanID: '',
        Type: 0,
        Name: ADDON_NAMES.MEMBER_BUNDLE_PRO,
        Title: '+1 User for Business',
        MaxDomains: 0,
        MaxAddresses: 15,
        MaxCalendars: 25,
        MaxSpace: 536870912000,
        MaxMembers: 1,
        MaxVPN: 10,
        MaxTier: 0,
        Services: 15,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 1299,
            '12': 13188,
            '24': 23976,
        },
        DefaultPricing: {
            '1': 1299,
            '12': 13188,
            '24': 23976,
        },
        PeriodEnd: {
            '1': 1702849536,
            '12': 1731879936,
            '24': 1763415936,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 1299,
    },
    [PLANS.FAMILY]: {
        ID: 'UOZXnOXW6gC7xjRiJC14rn0UazL4M7wuHDdMILF1H6xnTW41x2ka_MY4XikenQOyBAk4r6ra5jfPzs2FybDKTg==',
        ParentMetaPlanID: '',
        Type: 1,
        Name: PLANS.FAMILY,
        Title: 'Proton Family',
        MaxDomains: 3,
        MaxAddresses: 90,
        MaxCalendars: 150,
        MaxSpace: 3298534883328,
        MaxMembers: 6,
        MaxVPN: 60,
        MaxTier: 2,
        Services: 15,
        Features: 1,
        State: 1,
        Pricing: {
            '1': 2999,
            '12': 28788,
            '24': 47976,
        },
        DefaultPricing: {
            '1': 2999,
            '12': 28788,
            '24': 47976,
        },
        PeriodEnd: {
            '1': 1702849536,
            '12': 1731879936,
            '24': 1763415936,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 2999,
    },
    [PLANS.VPN_PRO]: {
        ID: 'AzampIHTO3xrN5LwsFXdd4fNyasQ4pojbycVaupg7I2pKhr5pzwQGxuFUgTF_fvUZiNZ_tVjjeCs8_DnOfADYQ==',
        ParentMetaPlanID: '',
        Type: 1,
        Name: PLANS.VPN_PRO,
        Title: 'VPN Essentials',
        MaxDomains: 0,
        MaxAddresses: 2,
        MaxCalendars: 0,
        MaxSpace: 0,
        MaxMembers: 2,
        MaxVPN: 20,
        MaxTier: 2,
        Services: 4,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 1798,
            '12': 16776,
            '24': 28752,
        },
        DefaultPricing: {
            '1': 1798,
            '12': 16776,
            '24': 28752,
        },
        PeriodEnd: {
            '1': 1702849536,
            '12': 1731879936,
            '24': 1763415936,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 1798,
    },
    [ADDON_NAMES.MEMBER_VPN_PRO]: {
        ID: 'XPnq2M_XbuLj7ct30C-hy0AwvPSjV_uMmbzrNeNRLQ63L8lOU7oSO1fRbjZhn0x4GFfypOHwInBKGFkS90AUKQ==',
        ParentMetaPlanID: '',
        Type: 0,
        Name: ADDON_NAMES.MEMBER_VPN_PRO,
        Title: '+1 User',
        MaxDomains: 0,
        MaxAddresses: 1,
        MaxCalendars: 0,
        MaxSpace: 0,
        MaxMembers: 1,
        MaxVPN: 10,
        MaxTier: 2,
        Services: 4,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 898,
            '12': 8388,
            '24': 14376,
        },
        DefaultPricing: {
            '1': 898,
            '12': 8388,
            '24': 14376,
        },
        PeriodEnd: {
            '1': 1702849536,
            '12': 1731879936,
            '24': 1763415936,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 898,
    },
    [PLANS.VPN_BUSINESS]: {
        ID: 'Br7AescivJNN22BCAqgq1aDCH0gvGXseztEeC2wurDH43gNMNfu77T3Y-kVZdp9wQH8r5nmycmQXLhBlh_gv9g==',
        ParentMetaPlanID: '',
        Type: 1,
        Name: PLANS.VPN_BUSINESS,
        Title: 'VPN Business',
        MaxDomains: 0,
        MaxAddresses: 2,
        MaxCalendars: 0,
        MaxSpace: 0,
        MaxMembers: 2,
        MaxVPN: 20,
        MaxTier: 2,
        Services: 4,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 7397,
            '12': 71964,
            '24': 129528,
        },
        DefaultPricing: {
            '1': 7397,
            '12': 71964,
            '24': 129528,
        },
        PeriodEnd: {
            '1': 1702849536,
            '12': 1731879936,
            '24': 1763415936,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 7397,
    },
    [ADDON_NAMES.MEMBER_VPN_BUSINESS]: {
        ID: '2XuG4XQN__aa3uie3ijJ1xVPs9vJP_9TJdY34ky3hJHsMajkQshefL7AXOfW1Z5_wV-GQ3fCg9lCskuJ92wHKg==',
        ParentMetaPlanID: '',
        Type: 0,
        Name: ADDON_NAMES.MEMBER_VPN_BUSINESS,
        Title: '+1 User',
        MaxDomains: 0,
        MaxAddresses: 1,
        MaxCalendars: 0,
        MaxSpace: 0,
        MaxMembers: 1,
        MaxVPN: 10,
        MaxTier: 2,
        Services: 4,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 1199,
            '12': 11988,
            '24': 21576,
        },
        DefaultPricing: {
            '1': 1199,
            '12': 11988,
            '24': 21576,
        },
        PeriodEnd: {
            '1': 1702849536,
            '12': 1731879936,
            '24': 1763415936,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 1199,
    },
    [ADDON_NAMES.IP_VPN_BUSINESS]: {
        ID: '3pf-EZUUjPtbBvBREF0TOxA4Cq6lYozP7fyUhCa0NnU3Im_QCoihoHN1vJKFWd7_hOx1lR35tAG3C8NjPr70RQ==',
        ParentMetaPlanID: '',
        Type: 0,
        Name: ADDON_NAMES.IP_VPN_BUSINESS,
        Title: '+1 Ip',
        MaxDomains: 0,
        MaxAddresses: 0,
        MaxCalendars: 0,
        MaxSpace: 0,
        MaxMembers: 0,
        MaxVPN: 0,
        MaxTier: 2,
        Services: 4,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 4999,
            '12': 47988,
            '24': 86376,
        },
        DefaultPricing: {
            '1': 4999,
            '12': 47988,
            '24': 86376,
        },
        PeriodEnd: {
            '1': 1702849536,
            '12': 1731879936,
            '24': 1763415936,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 4999,
    },
    [PLANS.PASS_PRO]: {
        ID: 'OySTfh3gyWweyXPRW-BkZrGSSenuCOcDK4adqjncPgmBzlMrFUCrXCpTlbT-7oRVpi0alpmonYcJsFcuqpVefg==',
        ParentMetaPlanID: 'hUcV0_EeNwUmXA6EoyNrtO-ZTD8H8F6LvNaSjMaPxB5ecFkA7y-5kc3q38cGumJENGHjtSoUndkYFUx0_xlJeg==',
        Type: 1,
        Name: PLANS.PASS_PRO,
        Title: 'Pass Essentials',
        MaxDomains: 0,
        MaxAddresses: 1,
        MaxCalendars: 0,
        MaxSpace: 0,
        MaxMembers: 1,
        MaxVPN: 0,
        MaxTier: 0,
        Services: 8,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 499,
            '12': 4788,
            '24': 8376,
        },
        DefaultPricing: {
            '1': 499,
            '12': 4788,
            '24': 8376,
        },
        PeriodEnd: {
            '1': 1711138689,
            '12': 1740255489,
            '24': 1771791489,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 499,
    },
    [ADDON_NAMES.MEMBER_PASS_PRO]: {
        ID: 'dxuXGng5ZEeAighAzh3n-G4UCijM8mLDR9hBevtBb9ih6g59tTEhmJ-dud_j4yLfGlCL01HGOYNYo_x3ra85FA==',
        ParentMetaPlanID: 'OySTfh3gyWweyXPRW-BkZrGSSenuCOcDK4adqjncPgmBzlMrFUCrXCpTlbT-7oRVpi0alpmonYcJsFcuqpVefg==',
        Type: 0,
        Name: ADDON_NAMES.MEMBER_PASS_PRO,
        Title: '+1 User',
        MaxDomains: 0,
        MaxAddresses: 1,
        MaxCalendars: 0,
        MaxSpace: 0,
        MaxMembers: 1,
        MaxVPN: 0,
        MaxTier: 0,
        Services: 8,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 499,
            '12': 4788,
            '24': 8376,
        },
        DefaultPricing: {
            '1': 499,
            '12': 4788,
            '24': 8376,
        },
        PeriodEnd: {
            '1': 1711138689,
            '12': 1740255489,
            '24': 1771791489,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 499,
    },
    [PLANS.PASS_BUSINESS]: {
        ID: 'EWlbA69KuBB8OH435nvAiMURv8GBAkFIhkTw5bXjnMdlknH9_F4DOqK5xoqieZv2aBcuFIwq9eAvY-BNPQesCg==',
        ParentMetaPlanID: 'hUcV0_EeNwUmXA6EoyNrtO-ZTD8H8F6LvNaSjMaPxB5ecFkA7y-5kc3q38cGumJENGHjtSoUndkYFUx0_xlJeg==',
        Type: 1,
        Name: PLANS.PASS_BUSINESS,
        Title: 'Pass Business',
        MaxDomains: 1,
        MaxAddresses: 1,
        MaxCalendars: 0,
        MaxSpace: 0,
        MaxMembers: 1,
        MaxVPN: 0,
        MaxTier: 0,
        Services: 8,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 699,
            '12': 7188,
            '24': 11976,
        },
        DefaultPricing: {
            '1': 699,
            '12': 7188,
            '24': 11976,
        },
        PeriodEnd: {
            '1': 1711138689,
            '12': 1740255489,
            '24': 1771791489,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 699,
    },
    [ADDON_NAMES.MEMBER_PASS_BUSINESS]: {
        ID: 'HW7S9giA-LN_tqrOszfTcj6OnEKFqgwUB4aSBQD2lmZHoW_O-B-f1sD8GcYxQePUWG_AP2L4HXIeoxhiSzBH8w==',
        ParentMetaPlanID: 'EWlbA69KuBB8OH435nvAiMURv8GBAkFIhkTw5bXjnMdlknH9_F4DOqK5xoqieZv2aBcuFIwq9eAvY-BNPQesCg==',
        Type: 0,
        Name: ADDON_NAMES.MEMBER_PASS_BUSINESS,
        Title: '+1 User',
        MaxDomains: 0,
        MaxAddresses: 1,
        MaxCalendars: 0,
        MaxSpace: 0,
        MaxMembers: 1,
        MaxVPN: 0,
        MaxTier: 0,
        Services: 8,
        Features: 0,
        State: 1,
        Pricing: {
            '1': 699,
            '12': 7188,
            '24': 11976,
        },
        DefaultPricing: {
            '1': 699,
            '12': 7188,
            '24': 11976,
        },
        PeriodEnd: {
            '1': 1711138689,
            '12': 1740255489,
            '24': 1771791489,
        },
        Currency: 'CHF',
        Quantity: 1,
        Offers: [],
        Cycle: 1,
        Amount: 699,
    },
};
